SDL_Surface Struct Reference

`#include <SDL_surface.h>`

Collaboration diagram for SDL_Surface:
[legend]

## Data Fields

Uint32 | flags
SDL_PixelFormat * | format
int | w
int | h
int | pitch
void * | pixels
void * | userdata
int | locked
void * | list_blitmap
SDL_Rect | clip_rect
SDL_BlitMap * | map
int | refcount

## Detailed Description

A collection of pixels used in software blitting.

This structure should be treated as read-only, except for pixels, which, if not NULL, contains the raw pixel data for the surface.

Definition at line 72 of file SDL_surface.h.

## Field Documentation

## clip_rect

SDL_Rect SDL_Surface::clip_rect

clipping information Read-only

Definition at line 90 of file SDL_surface.h.

## flags

Uint32 SDL_Surface::flags

Read-only

Definition at line 74 of file SDL_surface.h.

## format

SDL_PixelFormat* SDL_Surface::format

Read-only

Definition at line 75 of file SDL_surface.h.

## h

int SDL_Surface::h

Read-only

Definition at line 76 of file SDL_surface.h.

## list_blitmap

void* SDL_Surface::list_blitmap

list of BlitMap that hold a reference to this surface Private

Definition at line 87 of file SDL_surface.h.

## locked

int SDL_Surface::locked

information needed for surfaces requiring locks Read-only

Definition at line 84 of file SDL_surface.h.

## map

SDL_BlitMap* SDL_Surface::map

info for fast blit mapping to other surfaces Private

Definition at line 93 of file SDL_surface.h.

## pitch

int SDL_Surface::pitch

Read-only

Definition at line 77 of file SDL_surface.h.

## pixels

void* SDL_Surface::pixels

Read-write

Definition at line 78 of file SDL_surface.h.

## refcount

int SDL_Surface::refcount

Reference count – used when freeing surface Read-mostly

Definition at line 96 of file SDL_surface.h.

## userdata

void* SDL_Surface::userdata

Application data associated with the surface Read-write

Definition at line 81 of file SDL_surface.h.

## w

int SDL_Surface::w

Definition at line 76 of file SDL_surface.h.

The documentation for this struct was generated from the following file:

- SDL_surface.h